## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XPathParserException Class Reference

Exception class thrown when a problem parsing an XPath is encountered. More...

`#include <XPathParserException.hpp>`

Inheritance diagram for XPathParserException

Collaboration diagram for XPathParserException:

List of all members.

## Public Methods

- XPathParserException ( const XalanDOMString& theMessage, const XalanDOMString& theURI, int theLineNumber, int theColumnNumber, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XPathParserException")))
    Constructor. More...
- XPathParserException ( const LocatorType& theLocator, const XalanDOMString& theMessage, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XPathParserException")))
    Constructor. More...
- XPathParserException ( const XalanDOMString& theMessage, const XalanDOMString& theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XPathParserException")))
    Constructor. More...
- virtual ~XPathParserException ()

## Detailed Description

Exception class thrown when a problem parsing an XPath is encountered.

## Constructor & Destructor Documentation

XPathParserException::XPathParserException ( | const XalanDOMString & theMessage,
| const XalanDOMString & theURI,
| int theLineNumber,
| int theColumnNumber,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XPathParserException")) )

Constructor.

Parameters:

  theMessage | message to write when exception thrown
  theURI | the URI of the related document, if known
  theLineNumber | the line number of the related document, or -1 if not known
  theColumnNumber | the column number of the related document, or -1 if not known
  theType | type of exception, default is "XPathParserException"

XPathParserException::XPathParserException ( | const LocatorType & theLocator,
| const XalanDOMString & theMessage,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XPathParserException")) )

Constructor.

Parameters:

  theLocator | The locator instance for error reporting.
  theMessage | message to write when exception thrown
  theType | type of exception, default is "XPathParserException"

XPathParserException::XPathParserException ( | const XalanDOMString & theMessage,
| const XalanDOMString & theType = XalanDOMString(XALAN_STATIC_UCODE_STRING("XPathParserException")) )

Constructor.

Parameters:

  theMessage | message to write when exception thrown
  theType | type of exception, default is "XPathParserException"

virtual XPathParserException::~XPathParserException ( | )`[virtual]`

The documentation for this class was generated from the following file:

- XPathParserException.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.